=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2006-09-03 00:28:18 +0000
+++ bzrlib/builtins.py	2006-09-08 18:46:29 +0000
@@ -911,7 +911,7 @@
     def run(self, filename):
         tree, relpath = WorkingTree.open_containing(filename)
         i = tree.inventory.path2id(relpath)
-        if i == None:
+        if i is None:
             raise BzrError("%r is not a versioned file" % filename)
         else:
             self.outf.write(i + '\n')
@@ -932,7 +932,7 @@
         tree, relpath = WorkingTree.open_containing(filename)
         inv = tree.inventory
         fid = inv.path2id(relpath)
-        if fid == None:
+        if fid is None:
             raise BzrError("%r is not a versioned file" % filename)
         for fip in inv.get_idpath(fid):
             self.outf.write(fip + '\n')
@@ -996,7 +996,7 @@
             last_revision = wt.last_revision()
 
         revision_ids = b.repository.get_ancestry(last_revision)
-        assert revision_ids[0] == None
+        assert revision_ids[0] is None
         revision_ids.pop(0)
         for revision_id in revision_ids:
             self.outf.write(revision_id + '\n')
@@ -1375,7 +1375,7 @@
         if rev1 > rev2:
             (rev2, rev1) = (rev1, rev2)
 
-        if (log_format == None):
+        if (log_format is None):
             default = b.get_config().log_format()
             log_format = get_log_format(long=long, short=short, line=line, 
                                         default=default)
@@ -2425,7 +2425,7 @@
             remote_branch.lock_read()
             try:
                 local_extra, remote_extra = find_unmerged(local_branch, remote_branch)
-                if (log_format == None):
+                if (log_format is None):
                     default = local_branch.get_config().log_format()
                     log_format = get_log_format(long=long, short=short, 
                                                 line=line, default=default)
@@ -2479,9 +2479,9 @@
         import bzrlib.plugin
         from inspect import getdoc
         for name, plugin in bzrlib.plugin.all_plugins().items():
-            if getattr(plugin, '__path__', None) != None:
+            if getattr(plugin, '__path__', None) is not None:
                 print plugin.__path__[0]
-            elif getattr(plugin, '__file__', None) != None:
+            elif getattr(plugin, '__file__', None) is not None:
                 print plugin.__file__
             else:
                 print repr(plugin)

=== modified file 'bzrlib/bundle/bundle_data.py'
--- bzrlib/bundle/bundle_data.py	2006-09-03 00:13:54 +0000
+++ bzrlib/bundle/bundle_data.py	2006-09-08 18:46:29 +0000
@@ -539,7 +539,7 @@
             return None
         if old_path in self.deleted:
             return None
-        if getattr(self.base_tree, 'path2id', None) != None:
+        if getattr(self.base_tree, 'path2id', None) is not None:
             return self.base_tree.path2id(old_path)
         else:
             return self.base_tree.inventory.path2id(old_path)

=== modified file 'bzrlib/bundle/serializer/__init__.py'
--- bzrlib/bundle/serializer/__init__.py	2006-09-03 00:13:54 +0000
+++ bzrlib/bundle/serializer/__init__.py	2006-09-08 18:46:29 +0000
@@ -149,7 +149,7 @@
     
     # This has to be formatted for "original" date, so that the
     # revision XML entry will be reproduced faithfully.
-    if offset == None:
+    if offset is None:
         offset = 0
     tt = time.gmtime(t + offset)
 

=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2006-09-03 00:28:18 +0000
+++ bzrlib/bzrdir.py	2006-09-08 18:46:29 +0000
@@ -1570,7 +1570,7 @@
             entries = inv.iter_entries()
             entries.next()
             for path, ie in entries:
-                assert getattr(ie, 'revision', None) != None, \
+                assert getattr(ie, 'revision', None) is not None, \
                     'no revision on {%s} in {%s}' % \
                     (file_id, rev.revision_id)
         new_inv_xml = bzrlib.xml5.serializer_v5.write_inventory_to_string(inv)

=== modified file 'bzrlib/commands.py'
--- bzrlib/commands.py	2006-09-03 00:28:18 +0000
+++ bzrlib/commands.py	2006-09-08 18:46:29 +0000
@@ -584,7 +584,7 @@
             sys.stdout.flush()
             return result
         except IOError, e:
-            if getattr(e, 'errno', None) == None:
+            if getattr(e, 'errno', None) is None:
                 raise
             if e.errno != errno.EPIPE:
                 # Win32 raises IOError with errno=0 on a broken pipe

=== modified file 'bzrlib/fetch.py'
--- bzrlib/fetch.py	2006-07-28 16:05:23 +0000
+++ bzrlib/fetch.py	2006-09-08 18:46:29 +0000
@@ -147,7 +147,7 @@
         if self._last_revision is NULL_REVISION:
             # explicit limit of no revisions needed
             return None
-        if (self._last_revision != None and
+        if (self._last_revision is not None and
             self.to_repository.has_revision(self._last_revision)):
             return None
             

=== modified file 'bzrlib/help.py'
--- bzrlib/help.py	2006-08-02 13:02:47 +0000
+++ bzrlib/help.py	2006-09-08 18:46:29 +0000
@@ -53,9 +53,9 @@
 
 
 def help(topic=None, outfile = None):
-    if outfile == None:
+    if outfile is None:
         outfile = sys.stdout
-    if topic == None:
+    if topic is None:
         outfile.write(global_help)
     elif topic == 'commands':
         help_commands(outfile = outfile)
@@ -102,13 +102,13 @@
 
     cmdname = str(cmdname)
 
-    if outfile == None:
+    if outfile is None:
         outfile = sys.stdout
 
     cmd_object = get_cmd_object(cmdname)
 
     doc = cmd_object.help()
-    if doc == None:
+    if doc is None:
         raise NotImplementedError("sorry, no detailed help yet for %r" % cmdname)
 
     print >>outfile, 'usage:', command_usage(cmd_object) 
@@ -142,7 +142,7 @@
                                  plugin_command_names,
                                  get_cmd_object)
 
-    if outfile == None:
+    if outfile is None:
         outfile = sys.stdout
 
     names = set()                       # to eliminate duplicates

=== modified file 'bzrlib/info.py'
--- bzrlib/info.py	2006-08-08 00:11:35 +0000
+++ bzrlib/info.py	2006-09-08 18:46:29 +0000
@@ -31,7 +31,7 @@
 def plural(n, base='', pl=None):
     if n == 1:
         return base
-    elif pl != None:
+    elif pl is not None:
         return pl
     else:
         return 's'

=== modified file 'bzrlib/intset.py'
--- bzrlib/intset.py	2006-07-28 16:05:23 +0000
+++ bzrlib/intset.py	2006-09-08 18:46:29 +0000
@@ -71,7 +71,7 @@
             If specified, an initial collection of values.
         """
         self._val = bitmask
-        if values != None:
+        if values is not None:
             self.update(values)
 
 

=== modified file 'bzrlib/log.py'
--- bzrlib/log.py	2006-07-28 16:05:23 +0000
+++ bzrlib/log.py	2006-09-08 18:46:29 +0000
@@ -364,7 +364,7 @@
             message = rev.message.rstrip('\r\n')
             for l in message.split('\n'):
                 print >>to_file,  indent+'  ' + l
-        if delta != None:
+        if delta is not None:
             delta.show(to_file, self.show_ids)
 
 
@@ -390,7 +390,7 @@
 
         # TODO: Why not show the modified files in a shorter form as
         # well? rewrap them single lines of appropriate length
-        if delta != None:
+        if delta is not None:
             delta.show(to_file, self.show_ids)
         print >>to_file, ''
 

=== modified file 'bzrlib/lsprof.py'
--- bzrlib/lsprof.py	2006-09-03 00:13:54 +0000
+++ bzrlib/lsprof.py	2006-09-08 18:46:29 +0000
@@ -165,7 +165,7 @@
         for k, v in sys.modules.items():
             if v is None:
                 continue
-            if getattr(v, '__file__', None) == None:
+            if getattr(v, '__file__', None) is None:
                 continue
             if not isinstance(v.__file__, str):
                 continue

=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2006-09-03 00:13:54 +0000
+++ bzrlib/osutils.py	2006-09-08 18:46:29 +0000
@@ -84,7 +84,7 @@
     Windows."""
     # TODO: I'm not really sure this is the best format either.x
     global _QUOTE_RE
-    if _QUOTE_RE == None:
+    if _QUOTE_RE is None:
         _QUOTE_RE = re.compile(r'([^a-zA-Z0-9.,:/\\_~-])')
         
     if _QUOTE_RE.search(f):
@@ -150,7 +150,7 @@
 if lexists is None:
     def lexists(f):
         try:
-            if getattr(os, 'lstat') != None:
+            if getattr(os, 'lstat') is not None:
                 os.lstat(f)
             else:
                 os.stat(f)
@@ -190,12 +190,12 @@
         pass
     except IOError, e:
         # RBC 20060103 abstraction leakage: the paramiko SFTP clients rename
-        # function raises an IOError with errno == None when a rename fails.
+        # function raises an IOError with errno is None when a rename fails.
         # This then gets caught here.
         if e.errno not in (None, errno.ENOENT, errno.ENOTDIR):
             raise
     except Exception, e:
-        if (getattr(e, 'errno', None) == None
+        if (getattr(e, 'errno', None) is None
             or e.errno not in (errno.ENOENT, errno.ENOTDIR)):
             raise
     else:
@@ -370,7 +370,7 @@
 
 
 def normalizepath(f):
-    if getattr(os.path, 'realpath', None) != None:
+    if getattr(os.path, 'realpath', None) is not None:
         F = realpath
     else:
         F = abspath
@@ -505,7 +505,7 @@
 
 
 def sha_file(f):
-    if getattr(f, 'tell', None) != None:
+    if getattr(f, 'tell', None) is not None:
         assert f.tell() == 0
     s = sha.new()
     BUFSIZE = 128<<10
@@ -555,7 +555,7 @@
 def local_time_offset(t=None):
     """Return offset of local zone from GMT, either at present or at time t."""
     # python2.3 localtime() can't take None
-    if t == None:
+    if t is None:
         t = time.time()
         
     if time.localtime(t).tm_isdst and time.daylight:
@@ -574,7 +574,7 @@
         tt = time.gmtime(t)
         offset = 0
     elif timezone == 'original':
-        if offset == None:
+        if offset is None:
             offset = 0
         tt = time.gmtime(t + offset)
     elif timezone == 'local':
@@ -676,7 +676,7 @@
 def joinpath(p):
     assert isinstance(p, list)
     for f in p:
-        if (f == '..') or (f == None) or (f == ''):
+        if (f == '..') or (f is None) or (f == ''):
             raise BzrError("sorry, %r not allowed in path" % f)
     return pathjoin(*p)
 
@@ -726,7 +726,7 @@
 
 
 def has_symlinks():
-    if getattr(os, 'symlink', None) != None:
+    if getattr(os, 'symlink', None) is not None:
         return True
     else:
         return False

=== modified file 'bzrlib/repository.py'
--- bzrlib/repository.py	2006-08-16 21:10:33 +0000
+++ bzrlib/repository.py	2006-09-08 18:46:29 +0000
@@ -1640,7 +1640,7 @@
         target_ids = set(self.target.all_revision_ids())
         if revision_id is not None:
             source_ids = self.source.get_ancestry(revision_id)
-            assert source_ids[0] == None
+            assert source_ids[0] is None
             source_ids.pop(0)
         else:
             source_ids = self.source.all_revision_ids()
@@ -1743,7 +1743,7 @@
         # - RBC 20060209
         if revision_id is not None:
             source_ids = self.source.get_ancestry(revision_id)
-            assert source_ids[0] == None
+            assert source_ids[0] is None
             source_ids.pop(0)
         else:
             source_ids = self.source._all_possible_ids()
@@ -1806,7 +1806,7 @@
         """See InterRepository.missing_revision_ids()."""
         if revision_id is not None:
             source_ids = self.source.get_ancestry(revision_id)
-            assert source_ids[0] == None
+            assert source_ids[0] is None
             source_ids.pop(0)
         else:
             source_ids = self.source._all_possible_ids()

=== modified file 'bzrlib/rio.py'
--- bzrlib/rio.py	2006-03-09 18:47:40 +0000
+++ bzrlib/rio.py	2006-09-08 18:46:29 +0000
@@ -228,7 +228,7 @@
     tag = None
     accum_value = None
     for line in line_iter:
-        if line == None or line == '':
+        if line is None or line == '':
             break       # end of file
         if line == '\n':
             break       # end of stanza

=== modified file 'bzrlib/shellcomplete.py'
--- bzrlib/shellcomplete.py	2005-11-18 08:10:07 +0000
+++ bzrlib/shellcomplete.py	2006-09-08 18:46:29 +0000
@@ -2,9 +2,9 @@
 
 
 def shellcomplete(context=None, outfile = None):
-    if outfile == None:
+    if outfile is None:
         outfile = sys.stdout
-    if context == None:
+    if context is None:
         shellcomplete_commands(outfile = outfile)
     else:
         shellcomplete_on_command(context, outfile = outfile)
@@ -12,7 +12,7 @@
 def shellcomplete_on_command(cmdname, outfile = None):
     cmdname = str(cmdname)
 
-    if outfile == None:
+    if outfile is None:
         outfile = sys.stdout
 
     from inspect import getdoc
@@ -20,7 +20,7 @@
     cmdobj = commands.get_cmd_object(cmdname)
 
     doc = getdoc(cmdobj)
-    if doc == None:
+    if doc is None:
         raise NotImplementedError("sorry, no detailed shellcomplete yet for %r" % cmdname)
 
     shellcomplete_on_option(cmdobj.takes_options, outfile = None)
@@ -32,7 +32,7 @@
     from bzrlib.option import Option
     if not options:
         return
-    if outfile == None:
+    if outfile is None:
         outfile = sys.stdout
     for on in options:
         for shortname, longname in Option.SHORT_OPTIONS.items():
@@ -50,7 +50,7 @@
     import commands
     from inspect import getdoc
     
-    if outfile == None:
+    if outfile is None:
         outfile = sys.stdout
     
     cmds = []
@@ -63,7 +63,7 @@
         if cmdclass.hidden:
             continue
         doc = getdoc(cmdclass)
-        if doc == None:
+        if doc is None:
 	    outfile.write(cmdname + '\n')
         else:
 	    doclines = doc.splitlines()

=== modified file 'bzrlib/status.py'
--- bzrlib/status.py	2006-08-25 05:21:34 +0000
+++ bzrlib/status.py	2006-09-08 18:46:29 +0000
@@ -177,7 +177,7 @@
             m_revision = branch.repository.get_revision(merge)
             print >> to_file, ' ', line_log(m_revision, width - 3)
             inner_merges = branch.repository.get_ancestry(merge)
-            assert inner_merges[0] == None
+            assert inner_merges[0] is None
             inner_merges.pop(0)
             inner_merges.reverse()
             for mmerge in inner_merges:

=== modified file 'bzrlib/store/__init__.py'
--- bzrlib/store/__init__.py	2006-09-03 00:13:54 +0000
+++ bzrlib/store/__init__.py	2006-09-08 18:46:29 +0000
@@ -87,7 +87,7 @@
 
     def listable(self):
         """Return True if this store is able to be listed."""
-        return (getattr(self, "__iter__", None) != None)
+        return (getattr(self, "__iter__", None) is not None)
 
     def copy_all_ids(self, store_from, pb=None):
         """Copy all the file ids from store_from into self."""

=== modified file 'bzrlib/store/text.py'
--- bzrlib/store/text.py	2006-09-03 00:13:54 +0000
+++ bzrlib/store/text.py	2006-09-08 18:46:29 +0000
@@ -114,7 +114,7 @@
         # gzip.GzipFile.read() requires a tell() function
         # but some transports return objects that cannot seek
         # so buffer them in a StringIO instead
-        if getattr(f, 'tell', None) != None:
+        if getattr(f, 'tell', None) is not None:
             return gzip.GzipFile(mode='rb', fileobj=f)
         else:
             from cStringIO import StringIO

=== modified file 'bzrlib/tests/test_bad_files.py'
--- bzrlib/tests/test_bad_files.py	2006-09-03 00:13:54 +0000
+++ bzrlib/tests/test_bad_files.py	2006-09-08 18:46:29 +0000
@@ -58,7 +58,7 @@
         # put some bogus stuff in the tree
 
         # We can only continue if we have mkfifo
-        if getattr(os, 'mkfifo', None) == None:
+        if getattr(os, 'mkfifo', None) is None:
             # TODO: Ultimately this should be TestSkipped
             # or PlatformDeficiency
             return

=== modified file 'bzrlib/tests/test_hashcache.py'
--- bzrlib/tests/test_hashcache.py	2006-09-03 00:13:54 +0000
+++ bzrlib/tests/test_hashcache.py	2006-09-08 18:46:29 +0000
@@ -112,7 +112,7 @@
     def test_hashcache_raise(self):
         """check that hashcache can raise BzrError"""
         hc = self.make_hashcache()
-        if getattr(os, 'mkfifo', None) == None:
+        if getattr(os, 'mkfifo', None) is None:
             raise TestSkipped('filesystem fifos not supported on this system')
         os.mkfifo('a')
         # It's possible that the system supports fifos but the filesystem

=== modified file 'bzrlib/tests/test_msgeditor.py'
--- bzrlib/tests/test_msgeditor.py	2006-06-10 13:58:01 +0000
+++ bzrlib/tests/test_msgeditor.py	2006-09-08 18:46:29 +0000
@@ -56,10 +56,10 @@
         self._bzr_editor = os.environ.get('BZR_EDITOR', None)
 
     def tearDown(self):
-        if self._bzr_editor != None:
+        if self._bzr_editor is not None:
             os.environ['BZR_EDITOR'] = self._bzr_editor
         else:
-            if os.environ.get('BZR_EDITOR', None) != None:
+            if os.environ.get('BZR_EDITOR', None) is not None:
                 del os.environ['BZR_EDITOR']
         super(MsgEditorTest, self).tearDown()
 

=== modified file 'bzrlib/tests/test_transport_implementations.py'
--- bzrlib/tests/test_transport_implementations.py	2006-09-03 00:28:18 +0000
+++ bzrlib/tests/test_transport_implementations.py	2006-09-08 18:46:29 +0000
@@ -67,7 +67,7 @@
         except excClass:
             return
         else:
-            if getattr(excClass,'__name__', None) != None:
+            if getattr(excClass,'__name__', None) is not None:
                 excName = excClass.__name__
             else:
                 excName = str(excClass)

=== modified file 'bzrlib/trace.py'
--- bzrlib/trace.py	2006-09-03 00:13:54 +0000
+++ bzrlib/trace.py	2006-09-08 18:46:29 +0000
@@ -93,7 +93,7 @@
 def mutter(fmt, *args):
     if _trace_file is None:
         return
-    if (getattr(_trace_file, 'closed', None) != None) and _trace_file.closed:
+    if (getattr(_trace_file, 'closed', None) is not None) and _trace_file.closed:
         return
 
     if isinstance(fmt, unicode):

=== modified file 'bzrlib/transform.py'
--- bzrlib/transform.py	2006-08-31 06:06:38 +0000
+++ bzrlib/transform.py	2006-09-08 18:46:29 +0000
@@ -1086,7 +1086,7 @@
 def create_by_entry(tt, entry, tree, trans_id, lines=None, mode_id=None):
     """Create new file contents according to an inventory entry."""
     if entry.kind == "file":
-        if lines == None:
+        if lines is None:
             lines = tree.get_file(entry.file_id).readlines()
         tt.create_file(lines, trans_id, mode_id=mode_id)
     elif entry.kind == "symlink":

=== modified file 'bzrlib/transport/__init__.py'
--- bzrlib/transport/__init__.py	2006-09-03 00:28:18 +0000
+++ bzrlib/transport/__init__.py	2006-09-08 18:46:29 +0000
@@ -211,7 +211,7 @@
 
         This handles things like ENOENT, ENOTDIR, EEXIST, and EACCESS
         """
-        if getattr(e, 'errno', None) != None:
+        if getattr(e, 'errno', None) is not None:
             if e.errno in (errno.ENOENT, errno.ENOTDIR):
                 raise errors.NoSuchFile(path, extra=e)
             # I would rather use errno.EFOO, but there doesn't seem to be
@@ -882,7 +882,7 @@
 
     def get_transport_test_permutations(self, module):
         """Get the permutations module wants to have tested."""
-        if getattr(module, 'get_test_permutations', None) == None:
+        if getattr(module, 'get_test_permutations', None) is None:
             warning("transport module %s doesn't provide get_test_permutations()"
                     % module.__name__)
             return []

=== modified file 'bzrlib/transport/ftp.py'
--- bzrlib/transport/ftp.py	2006-09-03 00:13:54 +0000
+++ bzrlib/transport/ftp.py	2006-09-08 18:46:29 +0000
@@ -307,7 +307,7 @@
         abspath = self._abspath(relpath)
         tmp_abspath = '%s.tmp.%.9f.%d.%d' % (abspath, time.time(),
                         os.getpid(), random.randint(0,0x7FFFFFFF))
-        if getattr(fp, 'read', None) == None:
+        if getattr(fp, 'read', None) is None:
             fp = StringIO(fp)
         try:
             mutter("FTP put: %s", abspath)

=== modified file 'bzrlib/transport/http/__init__.py'
--- bzrlib/transport/http/__init__.py	2006-09-03 00:28:18 +0000
+++ bzrlib/transport/http/__init__.py	2006-09-08 18:46:29 +0000
@@ -449,7 +449,7 @@
         if not self.parse_request(): # An error code has been sent, just exit
             return
         mname = 'do_' + self.command
-        if getattr(self, mname, None) == None:
+        if getattr(self, mname, None) is None:
             self.send_error(501, "Unsupported method (%r)" % self.command)
             return
         method = getattr(self, mname)

=== modified file 'bzrlib/transport/http/_urllib.py'
--- bzrlib/transport/http/_urllib.py	2006-09-03 00:13:54 +0000
+++ bzrlib/transport/http/_urllib.py	2006-09-08 18:46:29 +0000
@@ -67,7 +67,7 @@
                 raise NoSuchFile(path, extra=e)
             raise
         except (BzrError, IOError), e:
-            if getattr(e, 'errno', None) != None:
+            if getattr(e, 'errno', None) is not None:
                 mutter('io error: %s %s for has url: %r',
                     e.errno, errno.errorcode.get(e.errno), path)
                 if e.errno == errno.ENOENT:

=== modified file 'bzrlib/transport/sftp.py'
--- bzrlib/transport/sftp.py	2006-09-03 00:28:18 +0000
+++ bzrlib/transport/sftp.py	2006-09-08 18:46:29 +0000
@@ -456,7 +456,7 @@
         """
         # paramiko seems to generate detailless errors.
         self._translate_error(e, path, raise_generic=False)
-        if getattr(e, 'args', None) != None:
+        if getattr(e, 'args', None) is not None:
             if (e.args == ('No such file or directory',) or
                 e.args == ('No such file',)):
                 raise NoSuchFile(path, str(e) + more_info)
@@ -466,7 +466,7 @@
             if (e.args == ('Failure',)):
                 raise failure_exc(path, str(e) + more_info)
             mutter('Raising exception with args %s', e.args)
-        if getattr(e, 'errno', None) != None:
+        if getattr(e, 'errno', None) is not None:
             mutter('Raising exception with errno %s', e.errno)
         raise e
 

=== modified file 'bzrlib/tree.py'
--- bzrlib/tree.py	2006-08-30 13:54:51 +0000
+++ bzrlib/tree.py	2006-09-08 18:46:29 +0000
@@ -147,7 +147,7 @@
         fp = fingerprint_file(f)
         f.seek(0)
         
-        if ie.text_size != None:
+        if ie.text_size is not None:
             if ie.text_size != fp['size']:
                 raise BzrError("mismatched size for file %r in %r" % (ie.file_id, self._store),
                         ["inventory expects %d bytes" % ie.text_size,

=== modified file 'bzrlib/util/configobj/configobj.py'
--- bzrlib/util/configobj/configobj.py	2006-09-03 00:13:54 +0000
+++ bzrlib/util/configobj/configobj.py	2006-09-08 18:46:29 +0000
@@ -1024,7 +1024,7 @@
             else:
                 self.configspec = None
             return
-        elif getattr(infile, 'read', None) != None:
+        elif getattr(infile, 'read', None) is not None:
             # This supports file like objects
             infile = infile.read() or []
             # needs splitting into lines - but needs doing *after* decoding
@@ -2852,7 +2852,7 @@
     >>> uc2 = ConfigObj(file_like)
     >>> uc2 == uc
     1
-    >>> uc2.filename == None
+    >>> uc2.filename is None
     1
     >>> uc2.newlines == '\\r'
     1

=== modified file 'bzrlib/util/elementtree/ElementTree.py'
--- bzrlib/util/elementtree/ElementTree.py	2006-09-03 00:13:54 +0000
+++ bzrlib/util/elementtree/ElementTree.py	2006-09-08 18:46:29 +0000
@@ -572,7 +572,7 @@
     # @defreturn Element
 
     def parse(self, source, parser=None):
-        if getattr(source, "read", None) == None:
+        if getattr(source, "read", None) is None:
             source = open(source, "rb")
         if not parser:
             parser = XMLTreeBuilder()
@@ -651,7 +651,7 @@
 
     def write(self, file, encoding="us-ascii"):
         assert self._root is not None
-        if getattr(file, "write", None) == None:
+        if getattr(file, "write", None) is None:
             file = open(file, "wb")
         if not encoding:
             encoding = "us-ascii"
@@ -723,7 +723,7 @@
 def iselement(element):
     # FIXME: not sure about this; might be a better idea to look
     # for tag/attrib/text attributes
-    return isinstance(element, _ElementInterface) or (getattr(element, "tag", None) != None)
+    return isinstance(element, _ElementInterface) or (getattr(element, "tag", None) is not None)
 
 ##
 # Writes an element tree or element structure to sys.stdout.  This
@@ -871,7 +871,7 @@
 class iterparse:
 
     def __init__(self, source, events=None):
-        if getattr(source, "read", None) == None:
+        if getattr(source, "read", None) is None:
             source = open(source, "rb")
         self._file = source
         self._events = []
@@ -1037,7 +1037,7 @@
 
     def close(self):
         assert len(self._elem) == 0, "missing end tags"
-        assert self._last != None, "missing toplevel element"
+        assert self._last is not None, "missing toplevel element"
         return self._last
 
     def _flush(self):

=== modified file 'bzrlib/weavefile.py'
--- bzrlib/weavefile.py	2006-07-28 16:05:23 +0000
+++ bzrlib/weavefile.py	2006-09-08 18:46:29 +0000
@@ -45,7 +45,7 @@
 
 
 def write_weave(weave, f, format=None):
-    if format == None or format == 1:
+    if format is None or format == 1:
         return write_weave_v5(weave, f)
     else:
         raise ValueError("unknown weave format %r" % format)

=== modified file 'bzrlib/workingtree.py'
--- bzrlib/workingtree.py	2006-08-30 13:20:22 +0000
+++ bzrlib/workingtree.py	2006-09-08 18:46:29 +0000
@@ -942,7 +942,7 @@
         if not self.has_filename(to_name):
             raise BzrError("destination %r not in working directory" % to_abs)
         to_dir_id = inv.path2id(to_name)
-        if to_dir_id == None and to_name != '':
+        if to_dir_id is None and to_name != '':
             raise BzrError("destination %r is not a versioned directory" % to_name)
         to_dir_ie = inv[to_dir_id]
         if to_dir_ie.kind != 'directory':
@@ -954,7 +954,7 @@
             if not self.has_filename(f):
                 raise BzrError("%r does not exist in working tree" % f)
             f_id = inv.path2id(f)
-            if f_id == None:
+            if f_id is None:
                 raise BzrError("%r is not versioned" % f)
             name_tail = splitpath(f)[-1]
             dest_path = pathjoin(to_name, name_tail)
@@ -999,7 +999,7 @@
             raise BzrError("can't rename: new working file %r already exists" % to_rel)
 
         file_id = inv.path2id(from_rel)
-        if file_id == None:
+        if file_id is None:
             raise BzrError("can't rename: old name %r is not versioned" % from_rel)
 
         entry = inv[file_id]
@@ -1011,7 +1011,7 @@
 
         to_dir, to_tail = os.path.split(to_rel)
         to_dir_id = inv.path2id(to_dir)
-        if to_dir_id == None and to_dir != '':
+        if to_dir_id is None and to_dir != '':
             raise BzrError("can't determine destination directory id for %r" % to_dir)
 
         mutter("rename_one:")
@@ -1200,7 +1200,7 @@
         """Yield list of PATH, IGNORE_PATTERN"""
         for subp in self.extras():
             pat = self.is_ignored(subp)
-            if pat != None:
+            if pat is not None:
                 yield subp, pat
 
     def get_ignore_list(self):

=== modified file 'bzrlib/xml4.py'
--- bzrlib/xml4.py	2006-07-28 23:53:09 +0000
+++ bzrlib/xml4.py	2006-09-08 18:46:29 +0000
@@ -51,12 +51,12 @@
         e.set('file_id', ie.file_id)
         e.set('kind', ie.kind)
 
-        if ie.text_size != None:
+        if ie.text_size is not None:
             e.set('text_size', '%d' % ie.text_size)
 
         for f in ['text_id', 'text_sha1', 'symlink_target']:
             v = getattr(ie, f)
-            if v != None:
+            if v is not None:
                 e.set(f, v)
 
         # to be conservative, we don't externalize the root pointers
@@ -92,7 +92,7 @@
         ## nodes in the root directory, but it's cleaner to use one
         ## internally.
         parent_id = elt.get('parent_id')
-        if parent_id == None:
+        if parent_id is None:
             parent_id = ROOT_ID
 
         kind = elt.get('kind')

=== modified file 'bzrlib/xml5.py'
--- bzrlib/xml5.py	2006-08-17 14:00:59 +0000
+++ bzrlib/xml5.py	2006-09-08 18:46:29 +0000
@@ -236,7 +236,7 @@
         get_cached = cache_utf8.get_cached_unicode
 
         parent_id = elt.get('parent_id')
-        if parent_id == None:
+        if parent_id is None:
             parent_id = ROOT_ID
         # TODO: jam 20060817 At present, caching file ids costs us too 
         #       much time. It slows down overall read performances from

=== modified file 'contrib/newinventory.py'
--- contrib/newinventory.py	2006-07-28 16:05:23 +0000
+++ contrib/newinventory.py	2006-09-08 18:46:29 +0000
@@ -35,7 +35,7 @@
                 el.set('text_id', ie.text_id)
             if ie.text_sha1:
                 el.set('text_sha1', ie.text_sha1)
-            if ie.text_size != None:
+            if ie.text_size is not None:
                 el.set('text_size', ('%d' % ie.text_size))
         elif kind != 'directory':
             raise BzrError('unknown InventoryEntry kind %r' % kind)
@@ -84,7 +84,7 @@
                 f.write('text_id="%s" ' % ie.text_id)
             if ie.text_sha1:
                 f.write('text_sha1="%s" ' % ie.text_sha1)
-            if ie.text_size != None:
+            if ie.text_size is not None:
                 f.write('text_size="%d" ' % ie.text_size)
             f.write('/>\n')
         elif kind == 'directory':

=== modified file 'setup.py' (properties changed: +x to -x)
--- setup.py	2006-09-03 00:13:54 +0000
+++ setup.py	2006-09-08 18:46:29 +0000
@@ -58,7 +58,7 @@
     print >>sys.stderr, "bzr: error: cannot find a suitable python interpreter"
     print >>sys.stderr, "  (need %d.%d or later)" % NEED_VERS
     sys.exit(1)
-if getattr(os, "unsetenv", None) != None:
+if getattr(os, "unsetenv", None) is not None:
     os.unsetenv(REINVOKE)
 
 

=== modified file 'tools/http_client.py'
--- tools/http_client.py	2005-09-19 06:05:19 +0000
+++ tools/http_client.py	2006-09-08 18:46:29 +0000
@@ -235,7 +235,7 @@
         debug("can't handle response status %r" % r.status)
         raise NotImplementedError()
 
-    if r.content_length == None:
+    if r.content_length is None:
         raise NotImplementedError()
 
     if r.content_length == 0:

